import request from '@/utils/request'

// 查询随访管理列表
export function listFollow(query) {
  return request({
    url: '/his/follow/list',
    method: 'get',
    params: query
  })
}

// 查询随访管理详细
export function getFollow(followId) {
  return request({
    url: '/his/follow/' + followId,
    method: 'get'
  })
}

// 新增随访管理
export function addFollow(data) {
  return request({
    url: '/his/follow',
    method: 'post',
    data: data
  })
}

// 修改随访管理
export function updateFollow(data) {
  return request({
    url: '/his/follow',
    method: 'put',
    data: data
  })
}

// 删除随访管理
export function delFollow(followId) {
  return request({
    url: '/his/follow/' + followId,
    method: 'delete'
  })
}

// 导出随访管理
export function exportFollow(query) {
  return request({
    url: '/his/follow/export',
    method: 'get',
    params: query
  })
}

export function statistics(query) {
  return request({
    url: '/his/follow/statistics',
    method: 'get',
    params: query
  })
}